/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casematerials.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casematerials.entity.CaseMaterials;
import com.jeeplus.modules.casematerials.dao.CaseMaterialsDao;

/**
 * 案例-材料Service
 * @author fgy
 * @version 2018-01-24
 */
@Service
@Transactional(readOnly = true)
public class CaseMaterialsService extends CrudService<CaseMaterialsDao, CaseMaterials> {

	public CaseMaterials get(String id) {
		return super.get(id);
	}
	
	public List<CaseMaterials> findList(CaseMaterials caseMaterials) {
		return super.findList(caseMaterials);
	}
	
	public Page<CaseMaterials> findPage(Page<CaseMaterials> page, CaseMaterials caseMaterials) {
		return super.findPage(page, caseMaterials);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseMaterials caseMaterials) {
		super.save(caseMaterials);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseMaterials caseMaterials) {
		super.delete(caseMaterials);
	}

	@Transactional(readOnly = false)
	public void deleteCase(CaseMaterials caseMaterials) {
		dao.deleteCase(caseMaterials);
	}
	
	
}